import React from 'react';
import { PropsWithMetadata } from '@highlight-ui/utils-commons';
export declare type CardProps = React.PropsWithChildren<PropsWithMetadata<{
    /** Specifies whether the card will have animation or not */
    animate?: boolean;
    /** Allows providing a custom class name, applied to the root element */
    className?: string;
    /** Allows providing a custom class name, applied to the content element */
    cardClassName?: string;
}>>;
export declare type CardRef = React.Ref<HTMLDivElement>;
declare const Card: React.ForwardRefExoticComponent<{
    /** Specifies whether the card will have animation or not */
    animate?: boolean | undefined;
    /** Allows providing a custom class name, applied to the root element */
    className?: string | undefined;
    /** Allows providing a custom class name, applied to the content element */
    cardClassName?: string | undefined;
} & {
    metadata?: import("@highlight-ui/utils-commons").ComponentMetadata | undefined;
} & {
    children?: React.ReactNode;
} & React.RefAttributes<HTMLDivElement>>;
export default Card;
